NXSUMMARY(1)

NAME
nxdiff - Generate summary of a NeXus file

SYNOPSIS
nxsummary [--xml] [--value label] [--writeconfig config]
                [--config config] [--verbose] [--] [--version] [-h]
                [filename]

DESCRIPTION
The nxsummary utility prints summary information about NeXus files. This program relies heavily on the configuration file that is located in "${HOME}/.nxsummary.conf" or "/etc/nxsummary.conf". A sample configuration file can be obtained using the "--writeconfig" flag. Each item tag in the file describes a node to print from the NeXus file. The path attribute describes where in the NeXus file to get information from. The label attributes is what will be printed when showing the value of the specified field. The optional operation attribute provides for certain operations to be performed on the data before printing out the result. Valid operations are:

   COUNT - The number of elements in the requested field.

   DIMS - The dimensions of the requested field.

   SUM - Add together all of the array elements and print the
   result.

   UNITS:newunits - Specify the units to print the result in.

OPTIONS
The following options are supported

--version
    Displays version information and exits.

-h|--help
    Displays usage information and exits.

--xml
    Print results as xml

--value label
    Get value of the item pointed to by the label

--writeconfig config
    Write the default configuration out to a file

--config config
    Specify configuration file

--verbose
    Turn on verbose printing

--|--ignore_rest
    Ignores the rest of the labeled arguments following this flag.

SEE ALSO
nxconvert(1), nxdir(1), nxtranslate(1), http://www.nexusformat.org

AUTHOR
nxsummary was originally written by Peter Peterson <petersonpf@ornl.gov> and may be used by others.